#
# spec file for package python-packaging
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-packaging
Version:        15.3
Release:        6.4
Summary:        Core utilities for Python packages
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/pypa/packaging
Source:         https://pypi.python.org/packages/source/p/packaging/packaging-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-pretend
BuildRequires:  python-pytest
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Core utilities for Python packages

%prep
%setup -q -n packaging-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
py.test

%files
%defattr(-,root,root,-)
%doc CHANGELOG.rst LICENSE README.rst
%{python_sitelib}/*

%changelog
* Tue Aug 11 2015 tbechtold@suse.com
- update to 15.3:
  * Normalize post-release spellings for rev/r prefixes. :issue:`35`
* Thu Jun 25 2015 tbechtold@suse.com
- update to 15.2:
  * Fix an error where the arbitary specifier (``===``) was not correctly
    allowing pre-releases when it was being used.
  * Expose the specifier and version parts through properties on the
    ``Specifier`` classes.
  * Allow iterating over the ``SpecifierSet`` to get access to all of the
    ``Specifier`` instances.
  * Allow testing if a version is contained within a specifier via the ``in``
    operator.
* Thu Apr 23 2015 tbechtold@suse.com
- Initial packaging
